2009/08/08

iPhoneOSを3.0.1にしたらxcodeが認識しなくなった


iPhoneOSを3.0.1した場合、xcodeのオーガナイザで認識できなくなります。
でもご心配なく。
ここにあるコマンドをターミナルから実行するだけで解決します。

ただし、iPhoneSDKのバージョンによって異なるので、はまりやすいです。
正しくは、以下のコマンドを実行しましょう。

iPhoneSDKが3.0の場合・・・
ln -s /Developer/Platforms/iPhoneOS.platform/DeviceSupport/3.0\ \(7A341\) /Developer/Platforms/iPhoneOS.platform/DeviceSupport/3.0.1

iPhoneSDKが3.1の場合・・・
ln -s /Developer/Platforms/iPhoneOS.platform/DeviceSupport/3.0 /Developer/Platforms/iPhoneOS.platform/DeviceSupport/3.0.1

3.1なのに間違えて3.0用のコマンドを打ってしまった人(私です)は、以下のコマンドを実行してシンボリック・リンクを消してから、再度正しいコマンドを実行しましょう。
rm /Developer/Platforms/iPhoneOS.platform/DeviceSupport/3.0.1

0 件のコメント: